import { jsx as t } from "@emotion/react/jsx-runtime";
import { DraggableHeaderRenderer as d } from "../../subcomponents/DraggableHeaderRenderer/DraggableHeaderRenderer.js";
const m = (e, r) => {
  function o(n) {
    return /* @__PURE__ */ t(
      d,
      {
        ...n,
        onColumnsReorder: e,
        openPopover: r?.openPopover
      }
    );
  }
  return o;
};
export {
  m as getDragHeaderRenderer
};
